#########################################################################
# Copyright (c) 2005 Sandro Lourenco (Zefyrus). All Rights Reserved.
#
# This file is part of Local Skin.
#
# Local Skin is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License as
# published by the Free Software Foundation; either version 2 of the
# License, or (at your option) any later version.
#
# CMFUrlSkinSwitcher is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with CMFUrlSkinSwitcher; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
#########################################################################
"""Local Skin

$Id: __init__.py,v 0.1 Sandro Lourenco aka Zefyrus
"""
__version__ = "$Revision: 0.1 $"[11:-2]
__author__ = "Sandro Lourenco aka Zefyrus"

import sys

from Products.CMFCore import CMFCorePermissions
from Products.CMFCore.DirectoryView import registerFileExtension, registerDirectory
from Products.LocalSkin.LocalSkin import LocalSkin
from Products.LocalSkin import config
from Products.CMFPlone import PloneUtilities as utils

tools = (LocalSkin, )
tool_globals = globals()
PROJECTNAME = config.PROJECTNAME

# Make the skins available as DirectoryViews
registerDirectory('skins', tool_globals)
registerDirectory('skins/localSkin', tool_globals)

def initialize(context):

    utils.ToolInit(PROJECTNAME + ' Tool', tools=tools,
                   product_name='LocalSkin', icon='tool.gif',
                   ).initialize(context)
