## Script (Python) "localSkinContentMenuHelper"
##bind container=container
##bind context=context
##bind namespace=
##bind script=script
##bind subpath=traverse_subpath
##parameters=
##title=Helper for the Local Skin content menu
##

from Products.CMFCore.utils import getToolByName
from Products.PythonScripts.standard import url_quote


request = container.REQUEST
RESPONSE =  request.RESPONSE
#list all avaible skins
lst = getToolByName(container, 'local_skin_tool')

st = getToolByName(context, 'portal_skins')
skins = [dict(name=skinName, qString='setLocalSkin?skinToSet=' + url_quote(skinName))
         for skinName in lst.selectable_skins]

color = 'green'
skinInUse = st.getDefaultSkin()
skinset = False

closestFolder = lst.getClosestSkinableObject(context)
if closestFolder is None:
    #found Plone root
    skinInUse = st.getDefaultSkin()
    return dict(folder=False, current=dict(color=color, name=skinInUse))

skinInUse = getattr(closestFolder, 'local_skin', skinInUse)
if closestFolder.hasProperty('local_skin'):
    color = 'red'
    skinset = True

return dict(folder=lst.isLocallySkinable(context),
            skins=skins,
            current=dict(color=color, name=skinInUse),
            set=skinset)
